/**********************************************************************
 
	Copyright (C) 2003 Hirohisa MORI <joshua@nichibun.ac.jp>
 
	This program is free software; you can redistribute it 
	and/or modify it under the terms of the GLOBALBASE 
	Library General Public License (G-LGPL) as published by 

	http://www.globalbase.org/
 
	This program is distributed in the hope that it will be 
	useful, but WITHOUT ANY WARRANTY; without even the 
	implied warranty of MERCHANTABILITY or FITNESS FOR A 
	PARTICULAR PURPOSE.

**********************************************************************/


#include "gbf.h"
#include "memory_debug.h"

int fontsize = -1;
char * display_key = 0;
void (*invoke_handler)();
void (*null_handler)();


void
v_set_display_key(char * key)
{
	gbf_set_display_key(key);
}


void
v_get_string_pic(
    V_STRING_PIC * p,
    VDISPLAY * disp,
    L_CHAR * str,
    int size,
    int     dir)
{
	gbf_get_string_pic(p,disp,str,size,dir);
}

void
compose_pic(V_STRING_PIC * p,V_STRING_PIC * pp) {
	gbf_compose_pic(p,pp);
}


void
v_loop(VDISPLAY * d)
{
	ms_loop();
}


VDISPLAY *
v_open_disp(VERROR * err)
{
	return gbf_open_disp(err);
}
